import java.awt.*;

public class BallWorld extends Frame
{
   private static final int FrameWidth  = 600;
   private static final int FrameHeight = 400;

   private Ball aBall;
   private int  counter;

   public BallWorld( Color ballColor )
   {
      setSize ( FrameWidth, FrameHeight );
      setTitle( "Ball World" );

      aBall = new Ball( 10, 15, 5 );
      aBall.setColor ( ballColor );
      aBall.setMotion( 3.0, 6.0 );

      counter = 0;
   }

   public void paint( Graphics g )
   {
      aBall.paint( g );

      aBall.move();
      if ( (aBall.x() < 0) || (aBall.x() > FrameWidth) )
         aBall.setMotion( -aBall.xMotion(), aBall.yMotion() );
      if ( (aBall.y() < 0) || (aBall.y() > FrameHeight) )
         aBall.setMotion( aBall.xMotion(), -aBall.yMotion() );
      
      // Adjust to slow simulation to the speed of the your computer
      try { Thread.sleep( 50 ); }
      catch (InterruptedException e) { System.exit( -1 ); }
      
      counter++;
      if ( counter < 2000 )
	  repaint();
      else
         System.exit( 0 );
   }
}
